IncidentRetrospectives
Update an incident retrospective
Update a specific incident retrospective by id
PUT
/
v1
/
post_mortems
/
{id}
Update an incident retrospective
curl --request PUT \
--url https://api.rootly.com/v1/post_mortems/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "incident_post_mortems",
"attributes": {
"title": "<string>",
"started_at": "<string>",
"mitigated_at": "<string>",
"resolved_at": "<string>",
"show_timeline": true,
"show_timeline_trail": true,
"show_timeline_genius": true,
"show_timeline_tasks": true,
"show_timeline_action_items": true,
"show_services_impacted": true,
"show_functionalities_impacted": true,
"show_groups_impacted": true,
"show_alerts_attached": true,
"show_action_items": true,
"cause_ids": [
"<string>"
]
}
}
}
'import requests
url = "https://api.rootly.com/v1/post_mortems/{id}"
payload = { "data": {
"type": "incident_post_mortems",
"attributes": {
"title": "<string>",
"started_at": "<string>",
"mitigated_at": "<string>",
"resolved_at": "<string>",
"show_timeline": True,
"show_timeline_trail": True,
"show_timeline_genius": True,
"show_timeline_tasks": True,
"show_timeline_action_items": True,
"show_services_impacted": True,
"show_functionalities_impacted": True,
"show_groups_impacted": True,
"show_alerts_attached": True,
"show_action_items": True,
"cause_ids": ["<string>"]
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'incident_post_mortems',
attributes: {
title: '<string>',
started_at: '<string>',
mitigated_at: '<string>',
resolved_at: '<string>',
show_timeline: true,
show_timeline_trail: true,
show_timeline_genius: true,
show_timeline_tasks: true,
show_timeline_action_items: true,
show_services_impacted: true,
show_functionalities_impacted: true,
show_groups_impacted: true,
show_alerts_attached: true,
show_action_items: true,
cause_ids: ['<string>']
}
}
})
};
fetch('https://api.rootly.com/v1/post_mortems/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "incident_post_mortems",
"attributes": {
"title": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"content": "<string>",
"started_at": "<string>",
"mitigated_at": "<string>",
"resolved_at": "<string>",
"show_timeline": true,
"show_timeline_trail": true,
"show_timeline_genius": true,
"show_timeline_tasks": true,
"show_timeline_action_items": true,
"show_timeline_order": "desc",
"show_services_impacted": true,
"show_functionalities_impacted": true,
"show_groups_impacted": true,
"show_alerts_attached": true,
"url": "<string>"
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Resource UUID
Body
application/vnd.api+json
Show child attributes
Show child attributes
Was this page helpful?
Previous
Retrieves an incident retrospective stepRetrieves a specific incident retrospective step by id
Next
⌘I
Update an incident retrospective
